<?php

namespace Assetise\AssetType\Seeders;

use DB;
use Illuminate\Database\Seeder;

class AssetTypeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('asset_types')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'asset_type.asset_type.view',
                'name'      => 'View AssetType',
            ],
            [
                'slug'      => 'asset_type.asset_type.create',
                'name'      => 'Create AssetType',
            ],
            [
                'slug'      => 'asset_type.asset_type.edit',
                'name'      => 'Update AssetType',
            ],
            [
                'slug'      => 'asset_type.asset_type.delete',
                'name'      => 'Delete AssetType',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/asset_type/asset_type',
                'name'        => 'AssetType',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/asset_type/asset_type',
                'name'        => 'AssetType',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'asset_type',
                'name'        => 'AssetType',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'AssetType',
                'module'    => 'AssetType',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'asset_type.asset_type.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
